Bug 875604 - inputattach needs updating
Summary: inputattach needs updating
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpm
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 891366
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-12 07:29 UTC by Samuel Sieb
Modified: 2016-02-01 01:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 00:37:56 UTC


Attachments (Terms of Use)
my copy of inputattach.c (19.94 KB, text/plain)
2012-12-18 18:52 UTC, Samuel Sieb
no flags Details

Description Samuel Sieb 2012-11-12 07:29:47 UTC
There is a newer upstream version of inputattach with important fixes.  The most important one to me right now is that it will survive a suspend/resume cycle, which the current version in gpm will not.  I am currently using the latest upstream version.  Would it be possible to get the version in gpm updated?

Comment 1 Jaromír Cápík 2012-12-17 15:00:33 UTC
Hello Samuel.

What gpm branch/version do you mean? 1.20.7 or 1.99.7 ?
Both are developed in parallel.

Thanks.

Regards,
Jaromir.

Comment 2 Samuel Sieb 2012-12-18 00:41:34 UTC
I didn't realize there were different branches and I'm not sure if you're referring to what I'm using or upstream.  I'm using what came with Fedora 18 (gpm-1.20.6-25.fc18), but I rebuilt it with the latest version of inputattach.c that I found in the upstream repo.

Comment 3 Jaromír Cápík 2012-12-18 11:28:51 UTC
Could You please attach the file? That could help me to identify the right commit. I can introduce it to Fedora 18 in form of patch and possibly update to 1.20.7 in Rawhide. Thx.

Comment 4 Samuel Sieb 2012-12-18 18:52:54 UTC
Created attachment 665719 [details]
my copy of inputattach.c

Comment 5 Jaromír Cápík 2013-01-02 13:56:20 UTC
Hi Samuel.

The whole inputattach thing seems to be more complicated than I thought.
The inputattach.c is NOT a part of the gpm project. It's a part of the linuxconsoletools project and it was bundled to the gpm package by the previous gpm maintainers long time ago. As that goes against the current Fedora policy, I need to introduce linuxconsoletools as a separate package and modify gpm to depend on them.

This may take a bit longer than just updating inputattach.c in the current gpm package.

I'll let you know once I have any results.

Regards,
Jaromir.

Comment 6 Jaromír Cápík 2013-01-04 11:51:15 UTC
Hello Samuel.

I've successfully built linuxconsoletools for rawhide/f19 and modified gpm to require them.
Could you please download and install the following two packages to test if it solves your suspend/resume issue? They should work well on f18 even if they're built for f19.

linuxconsoletools:
http://koji.fedoraproject.org/koji/buildinfo?buildID=376126

gpm:
http://koji.fedoraproject.org/koji/buildinfo?buildID=376157

NOTE:
You need to install both packages in one step due to the new internal dependencies and conflicts with older versions ... 

Example for x86_64 architecture:

yum install gpm-1.20.6-26.fc19.x86_64.rpm linuxconsoletools-1.4.4-4.fc19.x86_64.rpm

Thank you.

Regards,
Jaromir.

Comment 7 Jaromír Cápík 2013-01-14 19:04:20 UTC
Hello Samuel.

Are you still monitoring this bug?
I'd be happy if you could test the updated package and give me your feedback asap. I'd like to introduce the fix to older Fedora releases.

Thanks in advance.

Regards,
Jaromir.

Comment 8 Samuel Sieb 2013-01-15 06:09:04 UTC
Sorry, I forgot about this.  Yes, this one works.

Comment 9 Jaromír Cápík 2013-01-15 13:16:00 UTC
Thanks a lot. I'm gonna backport the change to F18 and F17.

Comment 10 Fedora Update System 2013-01-15 17:00:49 UTC
gpm-1.20.6-23.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gpm-1.20.6-23.fc17

Comment 11 Fedora Update System 2013-01-15 17:01:07 UTC
linuxconsoletools-1.4.4-4.fc18,gpm-1.20.6-26.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/linuxconsoletools-1.4.4-4.fc18,gpm-1.20.6-26.fc18

Comment 12 Fedora Update System 2013-01-18 20:27:34 UTC
Package gpm-1.20.6-23.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpm-1.20.6-23.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0924/gpm-1.20.6-23.fc17
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-01-30 00:37:58 UTC
linuxconsoletools-1.4.4-4.fc18, gpm-1.20.6-26.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-01-30 00:56:08 UTC
gpm-1.20.6-23.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.